<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-paymentInfo-paymentInfoId-payment%3APOST</id>
		<title>Accounts-accountId-paymentInfo-paymentInfoId-payment:POST - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-paymentInfo-paymentInfoId-payment%3APOST"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-paymentInfo-paymentInfoId-payment:POST&amp;action=history"/>
		<updated>2026-04-26T00:09:02Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-paymentInfo-paymentInfoId-payment:POST&amp;diff=1272&amp;oldid=prev</id>
		<title>Mike.robski: 1 revision: Release 93</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-paymentInfo-paymentInfoId-payment:POST&amp;diff=1272&amp;oldid=prev"/>
				<updated>2014-05-08T07:34:09Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision: Release 93&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 07:34, 8 May 2014&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Mike.robski</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-paymentInfo-paymentInfoId-payment:POST&amp;diff=1271&amp;oldid=prev</id>
		<title>Dragomir.penev at 11:09, 9 April 2014</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-paymentInfo-paymentInfoId-payment:POST&amp;diff=1271&amp;oldid=prev"/>
				<updated>2014-04-09T11:09:22Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= POST /accounts/{accountId}/paymentInfo/{paymentInfoId}/payment =&lt;br /&gt;
Make a one-time payment toward the account balance. First, a &amp;quot;pending&amp;quot; payment transaction will be created, and the payment amount will be reflected in the effective balance but not in the actual balance. After the payment has been processed (asynchronously), the payment status will change to &amp;quot;active&amp;quot; and the payment amount will be reflected in the actual balance as well.&lt;br /&gt;
__TOC__&lt;br /&gt;
&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;POST /accounts/{accountId}/paymentInfo/{paymentInfoId}/payment&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Request Parameters ====&lt;br /&gt;
;accountId&lt;br /&gt;
: The ID of the account&lt;br /&gt;
&lt;br /&gt;
;paymentInfoId&lt;br /&gt;
: The ID of the payment method&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
=== Request Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
 &amp;quot;amount&amp;quot;: {paymentAmount}&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; paymentAmount - ''decimal''&lt;br /&gt;
: The amount of payment in the account's currency. Must be greater than zero.&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;204 No Content&lt;br /&gt;
: The payment was successfully submitted&lt;br /&gt;
&lt;br /&gt;
;400 Bad Request&lt;br /&gt;
: The request body was missing a required field or one of the fields did not comply with the requirements (in this case, the response body will contain hints for what went wrong)&lt;br /&gt;
&lt;br /&gt;
;401 Unauthorized&lt;br /&gt;
: Authentication failed&lt;br /&gt;
&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: Authentication succeeded, but the logged-in user is not allowed to create users in this account. The only users allowed to create users in this account are sales agents and account owners of ''this'' account. An account owner is any account user with the &amp;quot;sitecontrol_account_owner&amp;quot; role.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The account or the payment method does not exist&lt;br /&gt;
&lt;br /&gt;
;409 Conflict&lt;br /&gt;
: The payment cannot be submitted due to irregularities with the payment method. For example, this may happen if the credit card is expired, has reached its credit limit or is declined by the payment provider.&lt;br /&gt;
&lt;br /&gt;
=== Response Headers ===&lt;br /&gt;
None&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
None&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
=== Make a payment ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
POST &amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/smith123456/paymentInfo/cc-100075384/payment&lt;br /&gt;
&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;amount&amp;quot;: 100.00&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Dragomir.penev</name></author>	</entry>

	</feed>